After successfully connecting to the API Proxy, you can send the fields/parameters for the API request (as specified below) and receive a response.
A successfully submitted First Chargeback will remain in a “pending status” (no more than 72 hours) on issuers’ behalf to allow merchants to respond and resolve the inquiry.
Request/response fields and samples
Request Path Parameters
| Parameter | Type | Limits | Required | Description |
|---|---|---|---|---|
| trackingNumber | string | ✓ | Card tracking number | |
| transactionId | string | ✓ | Transaction ID | |
| authnumber | string | Auth number (optional) | ||
| systemDate | date | ✓ | Settlement date | |
| settlementAmount | string | ✓ | Settlement amount in the cardholder’s currency | |
| chargebackAmount | string | ✓ | Chargeback amount in the cardholder’s currency | |
| reasonCode | string | ✓ | Chargeback reason code (Please refer to the chargeback reason code list) | |
| supportingDocument | string | Not more than 14.5MB | Supporting document to be supplied with the first chargeback |
{
"trackingNumber": "tRaCkInGnUmBeR",
"transactionId": "tRaNsAcTiOnId",
"authnumber": "AuthNumber",
"systemDate": "2021-08-24 00:00:00",
"settlementAmount": 402.76,
"chargebackAmount": 5.74,
"reasonCode": "4834",
"supportingDocument": "BASE64_ENCODED_FILE_HERE"
}Response Parameters
| Parameter | type | Description |
|---|---|---|
| chargebackId | String | Chargeback ID |
| claimID | String | Claim ID |
{
"chargebackId": "CHARGEBACK ID",
"claimID": "CLAIM_ID"
}Other response codes
Further response codes and details can be found here.
Additional info
| HTTP Method | POST |
| URL+URI (SIT/UAT) | https://chargebacks.test.tutuka.cloud/client/chargebacks |
| HTTP Headers | Content-Type text/plain |
| Query String Parameters | ---- |
| Format | JSON |
| Authentication | Bearer BEARER_TOKEN |
| Successful Response Code | 200 |
| Error Response Code | 500 |
| Validation Error Response Code | 422 |
